Bug 1298579 - NPE removing a rule that contains a subnetwork
NPE removing a rule that contains a subnetwork
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Mario Fusco
Tibor Zimanyi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 08:25 EST by Anton Giertli
Modified: 2016-04-01 07:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[0] reproducer (9.73 KB, application/zip)
2016-01-14 08:25 EST, Anton Giertli
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-1025 Major Resolved NPE removing a rule that contains a subnetwork 2016-05-11 03:32 EDT

  None (edit)
Description Anton Giertli 2016-01-14 08:25:59 EST
Created attachment 1114800 [details]
[0] reproducer

Description of problem:
BZ for corresponding JIRA DROOLS-1025

Version-Release number of selected component (if applicable):

BRMS 6.2.0
Drools (6.4.0)
How reproducible:
always

Steps to Reproduce:

In order to reproduce issue, I suggest you to download PATCH binaries from
https://bugzilla.redhat.com/show_bug.cgi?id=1292828
Extract them to your file system, and then execute:


       $ mvn install:install-file -Dfile=drools-core-6.3.0.Final-redhat-5-BZ-1292828.jar -Dsources=drools-core-6.3.0.Final-redhat-5-BZ-1292828-sources.jar -DgroupId=org.drools -DartifactId=drools-core -Dversion=6.3.0.Final-redhat-5-BZ-1292828 -DpomFile=drools-core-6.3.0.Final-redhat-5-BZ-1292828.pom -Dpackaging=jar

       $ mvn install:install-file -Dfile=drools-compiler-6.3.0.Final-redhat-5-BZ-1292828.jar -Dsources=drools-compiler-6.3.0.Final-redhat-5-BZ-1292828-sources.jar -DgroupId=org.drools -DartifactId=drools-compiler -Dversion=6.3.0.Final-redhat-5-BZ-1292828 -DpomFile=drools-compiler-6.3.0.Final-redhat-5-BZ-1292828.pom -Dpackaging=jar
       
       $ mvn install:install-file -Dfile=drools-reteoo-6.3.0.Final-redhat-5-BZ-1292828.jar -Dsources=drools-reteoo-6.3.0.Final-redhat-5-BZ-1292828-sources.jar -DgroupId=org.drools -DartifactId=drools-reteoo -Dversion=6.3.0.Final-redhat-5-BZ-1292828 -DpomFile=drools-reteoo-6.3.0.Final-redhat-5-BZ-1292828.pom -Dpackaging=jar

However, it seems that the tests fails in a same fashion with 6.4.0-SNAPSHOT version too.

If I test this with "6.3.0.Final-redhat-5" version then only 1 test fails out of three, so it may be related directly to the changes made BZ-1292828
Actual results:

all JUnit test fails

Expected results:

none of the test fails

Additional info:
Comment 3 Mario Fusco 2016-03-09 12:54:28 EST
Fixed by https://github.com/droolsjbpm/drools/commit/d1cdd567c
Comment 4 Marek Winkler 2016-03-18 10:54:00 EDT
Ryan, I cannot find the last commit (https://github.com/droolsjbpm/drools/commit/d1cdd567c) in ER1, could you please double check if it is really missing?

Thanks!
Comment 5 Ryan Zhang 2016-03-21 03:49:34 EDT
The cutting date is March 8, so you are correct that the second commit wasn't in the ER1 tag. 
My filter didn't work well for this case since there 2 "MODIFIED" date and the 2nd one didn't catch   ER1 tag.

Apology for all the inconvinience, Marek!
(Moving back to MODIFIED)
Comment 6 Marek Winkler 2016-03-21 05:16:10 EDT
Ryan, no problem at all, thanks for quick confirmation!
Comment 7 Tibor Zimanyi 2016-04-01 07:58:45 EDT
Verified by new tests from PRs and by running reproducer.

Note You need to log in before you can comment on or make changes to this bug.